Subject: bug#59782: [version 1.4.0rc1] Add r8169 to unsupported hardware

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 02 Dec 2022 18:47:02 +0100

Installation (guix substitute) sometimes gets stuck on my Beebox mini
PC with r8169 Ethernet controller.

For the x86_64 graphical installer, I selected everything.
After it had downloaded plenty of other substitutes, installation
printed this and got stuck:

substitute: Liste der Substitute von „https://ci.guix.gnu.org“ wird aktualisiert … 100.0%
22,2 MB werden heruntergeladen
  cairo-1.16.0-doc  135KiB             616KiB/s 00:00 [##################] 100.0%

I waited 10 minutes.  Booting the installer image again, it does not
again get stuck.  Installation was successful now.  I propose this
patch, but will retry some more if installation really never freezes
with USB Ethernet.

IIRC I had had similar problems with this Ethernet socket in the past.

Note: I still need to test the patch.

Regards,
Florian

From: Florian Pelz <[email-masked]>
Date: Fri, 2 Dec 2022 18:25:11 +0100
Subject: [PATCH] installer: Warn about r8169 Ethernet controller.

Because guix substitute sometimes freezes.

* gnu/installer/hardware.scm (%unsupported-linux-modules): Add it.
---
 gnu/installer/hardware.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/installer/hardware.scm b/gnu/installer/hardware.scm
index cd1a1767d8..8e92949977 100644
--- a/gnu/installer/hardware.scm
+++ b/gnu/installer/hardware.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2022 Ludovic Courtès <[email-masked]>
+;;; Copyright © 2022 Florian Pelz <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -55,7 +56,11 @@ (define %unsupported-linux-modules
     "radeon"
 
     ;; Multimedia.
-    "ivtv"))
+    "ivtv"
+
+    ;; Manual additions.
+    "r8169"          ;works, but guix substitutes occasionally freezes
+    ))
 
 (define unsupported-pci-device?
   ;; Arrange to load the module alias database only once.

base-commit: 020184fd39c6244e0336db3c608d3946b8d20490
-- 
2.38.1